Subject: Re: bug#19813: 24.4; emacs crashes on exit

From: Test User <[email-masked]>
Date: Sun, 8 Feb 2015 16:25:15 -0500

On Sun, Feb 8, 2015 at 3:41 PM, Eli Zaretskii <[email-masked]> wrote:

>
> What about "emacs -q" -- does that reproduce the problem?
>
>
Yes, it crashes with `emacs -q'.

>
> What does the Windows Event Viewer say about these crashes (under
> "Application")?
>

Faulting application name: emacs.exe, version: 24.4.0.0, time stamp:
0x544a8d9a
Faulting module name: libgcc_s_dw2-1.dll, version: 0.0.0.0, time stamp:
0x507d56df
Exception code: 0x40000015
Fault offset: 0x00016f62
Faulting process id: 0xee4
Faulting application start time: 0x01d043e155516507
Faulting application path: C:\MinGW\local\bin\emacs.exe
Faulting module path: C:\MinGW\bin\libgcc_s_dw2-1.dll
Report Id: 9ab40c92-afd4-11e4-81d7-00a0d1ad0b0b
Faulting package full name:
Faulting package-relative application ID:

On my Windows 8 system:
16/10/2012  07:45           119,296 libgcc_s_dw2-1.dll

The dll does not contain any version information, but gcc --version
prints 4.7.2.

On my Windows XP system where it works:
05/10/2013  12:17 PM           112,142 libgcc_s_dw2-1.dll
gcc 4.8.1 is installed.

On my Windows 8 system, I renamed the DLL. Unexpectedly emacs
launched, and it exited normally. According to Process Monitor, emacs
failed to find this DLL anywhere else. I doubt that I have another copy
but I am searching the C: drive now.